gio-0.12.4: Binding to the GIO.

Portability | portable (depends on GHC)
Stability | alpha
Maintainer | gtk2hs-devel@lists.sourceforge.net
Safe Haskell | None

System.GIO.Icons.Emblem

Contents

- Details
- Types
- Enums
- Methods

Description

Synopsis

- newtype Emblem = Emblem (ForeignPtr Emblem)
- class GObjectClass o => EmblemClass o
- data EmblemOrigin
  - = EmblemOriginUnknown
  - | EmblemOriginDevice
  - | EmblemOriginLivemetadata
  - | EmblemOriginTag
- emblemNew :: IconClass icon => icon -> IO Emblem
- emblemNewWithOrigin :: IconClass icon => icon -> EmblemOrigin -> IO Emblem
- emblemGetIcon :: EmblemClass emblem => emblem -> IO Icon
- emblemGetOrigin :: EmblemClass emblem => emblem -> IO EmblemOrigin

# Details

`Emblem` is an implementation of `Icon` that supports having an emblem, which is an icon with additional properties. It can than be added to a `EmblemedIcon`.

Currently, only metainformation about the emblem's origin is supported. More may be added in the future.

# Types

newtype Emblem

Constructors

Emblem (ForeignPtr Emblem) |

Instances

Eq Emblem |
Ord Emblem |
GObjectClass Emblem |
EmblemClass Emblem |

class GObjectClass o => EmblemClass o

Instances

EmblemClass Emblem |

# Enums

data EmblemOrigin

`EmblemOrigin` is used to add information about the origin of the emblem to `Emblem`.

Constructors

EmblemOriginUnknown |
EmblemOriginDevice |
EmblemOriginLivemetadata |
EmblemOriginTag |

Instances

Bounded EmblemOrigin |
Enum EmblemOrigin |
Eq EmblemOrigin |
Ord EmblemOrigin |
Show EmblemOrigin |
Typeable EmblemOrigin |

# Methods

emblemNew :: IconClass icon => icon -> IO Emblem

Creates a new emblem for icon.

emblemNewWithOrigin

Arguments

:: IconClass icon |
=> icon | `icon` a `Icon` containing the icon.
-> EmblemOrigin | `origin` a `EmblemOrigin` enum defining the emblem's origin
-> IO Emblem |

Creates a new emblem for icon.

emblemGetIcon

Arguments

:: EmblemClass emblem |
=> emblem | `emblem` a `Emblem` from which the icon should be extracted.
-> IO Icon | returns a `Icon`. The returned object belongs to the emblem and should not be modified or freed.

Gives back the icon from emblem.

emblemGetOrigin :: EmblemClass emblem => emblem -> IO EmblemOrigin

Gets the origin of the emblem.